# rough algorithm: first find the probable closthesline values assuming 
# the local data is already here.
# use list_found_clotheslines
# then find the time period for the above top 1-2 clotheslines
# I assume "matlab -nojvm -nodisplay -nosplash" invokes matlab on your machine

#t="[10 30 300 600]"
t="[600]" # the aggregation bin sizes for which data is available (here it is 600s)
datapath="./sample_data/"
outputpath="./clotheslines_test_output/" # output dir on your m/c
s="wash_2004-09-09to2006-09-01"
N="1"
stdate="2004-09-09" 
stdate1="00:00:00"
routertable="bgpup_abilene_wash"
sampledatapath="./sample_data/"
#SN001output="~/OUTPUT/"  # make sure you have created this directory in your home @ sn001.datapository

## make the necessary directories
mkdir $outputpath
mkdir $outputpath"clothesline_timeseries"
mkdir $outputpath"clothesline_timeseries/original"
mkdir $outputpath"clothesline_timeseries/fixed"
mkdir $outputpath"clothesline_timeseries/additional"

matlab -nodisplay -nosplash -r \
"get_clotheslines($t, "\'$datapath\'", "\'$outputpath\'", "\'$s\'", $N, "\'$stdate" "$stdate1\'")"

#echo "now making sql queries"

# also make sql query for the corresponding time periods
# ruby make_sql_clotheslines.rb $outputpath"clothesline_suspect_times.txt" $routertable \
#                              $SN001output"original/" > "$outputpath""clothesline_queries.sql"

# then run sql query on sn001.datapository.net machine to get 
# all auxillary information about this time period
# also scp it back here
#sh package_for_datapository_clotheslines.sh "$outputpath" "clothesline_queries.sql" "$SN001output" "original/" "clothesline_timeseries/"

cp -R "$sampledatapath""clothesline_timeseries/original/" "$outputpath""clothesline_timeseries/"

# above will store the answers in the directory clotheslines_timeseries
# fix these updates for missing AS IPs etc. etc.
#echo "now fixing updates"
#for i in $(ls "$outputpath""clothesline_timeseries/original/") 
#do
#				echo $i
#				ruby fix_selected_updates.rb "$outputpath""clothesline_timeseries/original/"$i > "$outputpath""clothesline_timeseries/fixed/"$i 
#done

cp -R "$sampledatapath""clothesline_timeseries/fixed/" "$outputpath""clothesline_timeseries/"


# then make the pseudo series using find_clothesline_helper.m
# of only time ticks using the above timeseries
#for i in $(ls "$outputpath""clothesline_timeseries/fixed/") 
#do
#				echo $i
#				matlab -nosplash -nodisplay -r \
#				"find_clothesline_helper("\'"$outputpath""clothesline_timeseries/fixed/"$i\'", "\'$outputpath"clothesline_timeseries/additional/"$i\'")"
#done

cp -R "$sampledatapath""clothesline_timeseries/additional/" "$outputpath""clothesline_timeseries/"

# then use this and original scped time series to find the most
# 'persistent' ips and origin ases..
rm -f $outputpath"found_clotheslines_details.txt"
for i in `ls $outputpath"clothesline_timeseries/fixed/" | sort -n`
do
				echo $i
				echo $i >> $outputpath"found_clotheslines_details.txt"
				ruby find_clothesline.rb "$outputpath""clothesline_timeseries/fixed/"$i "$outputpath""clothesline_timeseries/additional/"$i "$i" $outputpath"clothesline_suspect_times.txt" >> $outputpath"found_clotheslines_details.txt"
				echo " " >> $outputpath"found_clotheslines_details.txt"
done

# delete unnecessary stuff from output
rm -rf "$outputpath""clothesline_timeseries/"
